Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 479620

Summary: sys-apps/systemd: multilib
Product: Gentoo Linux Reporter: Michał Górny <mgorny>
Component: Current packagesAssignee: Gentoo systemd Team <systemd>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 474940, 479282    
Bug Blocks: 454644    
Attachments: Initial work (does not work :P)

Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-08-03 09:37:19 UTC
I can basically add multilib for libudev alone right now. However, I'd rather go with all systemd libs (esp. due to header checks).

TODO: check exact deps, esp. libcap, libattr and other static libraries

libgudev -> glib-2, gobject-2
journal -> xz-utils
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-08-03 09:57:54 UTC
Created attachment 355008 [details, diff]
Initial work (does not work :P)
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-08-08 09:04:10 UTC
I have committed a partial conversion now. When glib is done, I will add gudev to it as well. Until then, please do not close the bug.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-08-10 21:48:53 UTC
And libgudev added. It's not urgent, so I'll added it to -9999 and it will land mainstream in next release/revbump.